
package de.ivu.elect.presentation.ergebnis.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(ErgebnisActionMenu.COMPONENT_NAME)
public class ErgebnisActionMenu extends AbstractActionMenuModelBuilder<Ergebnis> {

  public static final String COMPONENT_NAME = "ergebnisActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  protected ErgebnisZurBearbeitungAuswaehlenAction ergebnisZurBearbeitungAuswaehlenAction;

  @Inject
  protected ErgebnisDeleteAction ergebnisDeleteAction;

  @Inject
  ErgebnisAktualisierenKonflikteAutomatischLoesenAction ergebnisAktualisierenKonflikteAutomatischloesenAction;

  @Inject
  ErgebnisAktualisierenKonflikteManuellLoesenAction ergebnisAktualisierenKonflikteManuellLoesenAction;

  @Override
  protected List<ActionEntry<Ergebnis>> getActionEntriesSorted() {
    List<ActionEntry<Ergebnis>> result = new ArrayList<>();

    result.add(ergebnisZurBearbeitungAuswaehlenAction);
    result.add(ergebnisAktualisierenKonflikteAutomatischloesenAction);
    result.add(ergebnisAktualisierenKonflikteManuellLoesenAction);
    result.add(ergebnisDeleteAction);

    return result;
  }

}
